<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.log.ui"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.log.ui.internal.LogUIPlugin">

   <runtime>
      <library name="logui.jar">
         <export name="*"/>
		 <packages prefixes="org.eclipse.hyades.log.ui"/>                       
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.hyades.logging.parsers"/> 
      <import plugin="org.eclipse.hyades.execution.local"/>                      
      <import plugin="org.eclipse.hyades.models.hierarchy"/>   
      <import plugin="org.eclipse.hyades.models.sdb"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.analysis.engine"/>
      <import plugin="org.eclipse.hyades.sdb"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.ui.console"/>
   </requires>


<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.views">
      <view
            name="%STR_WAS_VIEW_TITLE"
            icon="./icons/full/cview16/was_log_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.log.ui.internal.views.LogViewer"
            id="org.eclipse.hyades.log.ui.internal.views.LogViewer">
      </view>
      <view
            name="%LOG_NAV_TTL"
            icon="icons/full/cview16/was_log_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator"
            id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator">
      </view>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <actionSet
               id="org.eclipse.hyades.log.ui.internal.logViewActionSet">
         </actionSet>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.log.ui.internal.views.LogViewer">
         </view>
         <view
               relative="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer"
               visible="true"
               relationship="stack"
               id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator">
         </view>
         <viewShortcut
               id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator">
         </viewShortcut>
         <viewShortcut
               id="org.eclipse.hyades.log.ui.internal.views.LogViewer">
         </viewShortcut>
      </perspectiveExtension>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            label="%STR_ACTION_SET"
            visible="false"
            id="org.eclipse.hyades.log.ui.internal.logViewActionSet">
         <action
               label="%STR_WAS_LOG_BTN"
               icon="icons/full/ctool16/was_log_co.gif"
               tooltip="%STR_WAS_LOG_BTN_TIP"
               class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
               toolbarPath="trace/group.openRAS"
               id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction">
         </action>
      </actionSet>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            name="%STR_WAS_VIEW_TITLE"
            type="Logging"
            icon="./icons/full/cview16/was_log_view.gif"
            isDefault="true"
            class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
            id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
            extension="trace">
      </analyzerExtension>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.hyades.analysis.engine.logAnalyzer">
      <logAnalyzer
            name="%defaultLogAnalyzer"
            type="org.eclipse.hyades.models.cbe.CBEDefaultEvent"
            class="org.eclipse.hyades.log.ui.internal.views.LogAnalyzerImpl"
            id="org.eclipse.hyades.log.ui.internal.views.LogAnalyzerImpl">
      </logAnalyzer>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%LOG_ANALYZER_BASE_PREF_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage"
            id="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage">
      </page>
      <page
            name="%LOG_ANALYZER_SYMPTOM_DB_PAGE"
            category="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage"
            class="org.eclipse.hyades.log.ui.internal.preferences.SymptomDBPreferencePage"
            id="org.eclipse.hyades.log.ui.internal.preferences.SymptomDBPreferencePage">
      </page>
      <!--page
            name="%LARGE_RESOURCE_SUPPORT_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.log.ui.internal.preferences.LargeResourceSupportPreferencePage"
            id="org.eclipse.hyades.log.ui.internal.preferences.LargeResourceSupportPreferencePage">
      </page-->
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.importWizards">
      <wizard
            name="%STR_IMPORT_LOG_FILE_TITLE"
            icon="./icons/full/ctool16/importactivitylog_wiz.gif"
            class="org.eclipse.hyades.log.ui.internal.wizards.ImportLogWizard"
            id="org.eclipse.hyades.log.ui.internal.wizards.ImportLogFile">
         <description>
            %STR_IMPORT_LOG_FILE_DESC
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.models.cbe.CBECommonBaseEvent"
            id="org.eclipse.hyades.logc.internal.actions.OpenTimeBasedCorrelationViewCBECommonBaseEventPopupAction">
         <action
               label="%STR_WAS_LOG_BTN"
               tooltip="%STR_WAS_LOG_BTN_TIP"
               class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
<!-- Contributions to log navigator toolbar -->
      <viewContribution
            targetID="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator"
            id="org.eclipse.hyades.log.ui.internal.monitorsview.toolbar">
         <action
               id="org.eclipse.hyades.log.ui.internal.monitorsview.toolbar.refreshViews"
               toolbarPath="refreshGroup"
               hoverIcon="../org.eclipse.hyades.trace.ui/icons/full/clcl16/updateviews_co.gif"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsActionDelegate"
               disabledIcon="../org.eclipse.hyades.trace.ui/icons/full/dlcl16/updateviews_co.gif"
               icon="../org.eclipse.hyades.trace.ui/icons/full/elcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               label="%REFRESH_VIEWS"
               tooltip="%REFRESH_VIEWS">
         </action>
      </viewContribution>
   </extension>
<!--=============================================================-->
<!-- New Correlation Wizard -->
<!--=============================================================-->
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%TRACE_LOG_NEWWIZ"
            id="org.eclipse.hyades.trace_log.newWizard">
      </category>
      <wizard
            name="%STR_NEW_CORR_WIZARD"
            icon="icons/full/ctool16/newcorrelation_wiz.gif"
            category="org.eclipse.hyades.trace_log.newWizard"
            class="org.eclipse.hyades.log.ui.internal.wizards.NewCorrelationWizard"
            id="org.eclipse.hyades.log.ui.wizard.new.correlation">
         <description>
            %STR_NEW_CORR_WIZARD_DESC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="logui.xml"
            plugin="org.eclipse.hyades.log.ui">
      </contexts>
   </extension>
   <extension point="org.eclipse.hyades.ui.navigatorExtensions">
      <navigatorFilterSet
            id="org.eclipse.hyades.log.ui.navigatorFilterSet.hosts"
            label="%FILTER_SET_NODES"
            icon="icons/full/obj16/node_obj.gif"
            class="org.eclipse.hyades.trace.ui.internal.navigator.NodeNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.log.ui.logNavigator"
            defaultEnabled="true"
            recursive="false"
            common="true"/>
   </extension>
</plugin>
